{smcl}
{* 2013-08-04 scott long}{...}
{title:Title}
{p2colset 5 17 30 20}{...}

{p2col:{cmd:mlogtest} {hline 2}}Tests for multinomial logit{p_end}
{p2colreset}{...}

{marker overview}
{title:Overview}

{pstd}
{cmd:mlogtestlistcoef} computes various common tests for the multinomial logit model.
The user selects the tests they want by specifying the appropriate options.
For each regressor, {cmd:mlogtest} can perform either an LR or
Wald test of the hypothesis that all coefficients for each regressor
are zero.
{cmd:mlogtest} can compute Wald and LR ratio tests of whether pair of outcome
categories can be combined.
Multiple tests of independence of irrelevance alternatives (IIA)
are available.

{pstd}
Output for models with categorical outcomes is much clearer if you
assign value labels to the dependent variable.


{title:General syntax}

{p 4 18 2}
{cmd:mlogtest} [{it:varlist}] [, {opt all} {opt lr} {opt w:ald} {opt comb:ine}
{opt lrcomb} {opt set(varlist [\ varlist])} {opt iia} {opt haus:man}
{opt sm:hsiao} {opt suest} {opt detail}]
]
{p_end}

{p 8 8 0}
where {it:varlist} indicates that Wald or LR tests of regressors should only
be computed for these variables.
If no {it:varlist} is given, test for all regressors are computed.
{p_end}


{title:Options}
{marker options}{p2colset 5 18 18 0}
{synopt:{opt all}}All tests should be computed.

{synopt:{opt lr}}Compute LR tests for each regressor.

{synopt:{opt w:ald}}Compute Wald tests for each regressors.
{p_end}

{synopt:{opt comb:ine}}Computes Wald tests of whether two outcomes can be combined.
{p_end}

{synopt:{opt lrcomb}}Computes LR tests of whether two outcomes can be combined.
{p_end}

{synopt:{opt haus:man}}Compute Hausman-McFadden IIA test using Stata's {help hausman} command.
{p_end}

{synopt:{opt suest}}Computes Hausman tests of the IIA using Stata's {help suest} command.
{p_end}

{synopt:{opt sm:hsiao)}}Compute Small-Hsiao tests of the IIA assumption. In order to reproduce results,
you should {cmd:set seed} before running this test.
{p_end}

{synopt:{opt iia}}Run all IIA tests.
{p_end}

{synopt:{opt detail}}Reports {help hausman} output from IIA test. The default is to provide a
summary of results.
{p_end}

{synopt:{opt set(varlist [\ varlist]...)}}Specifies that a set of
regressors is to be jointly tested with the
{cmd:lr} or {cmd:wald} options. The slash {cmd:\} specifies
multiple sets of variables.  This option is when, for example, multiple
indicators of a categorical predictor are included as indicator variables
or linked variables such as age and age-squared are in the model.
{p_end}


{title:Examples}

{ul:Compute all test}

{p 2 2 2}
{cmd:mlogit whoclass income dad_educ male black hispanic asian}
{cmd:mlogtest, all}

{ul:Tests sets of variables}

{p 2 2 2}
{cmd:mlogit whoclass inc male black hispanic asian singlpar stepmom stepdad}
{cmd:mlogtest, lr set(black hispanic asian \ singlpar stepmom stepdad)}

{title:Return matrices}

{p 2 6 2}
{cmd:r(combine)}: results of Wald tests to combine categories. Rows are
contrasts among categories.

{p 2 6 2}
{cmd:r(lrcomb)}: results of LR tests to combine categories.
Rows are contrasts among each pair of categories.

{p 2 6 2}
{cmd:r(hausman)}: results of Hausman tests of IIA assumption.
Each row is one test.

{p 2 6 2}
{cmd:r(smhsiao)}: results of Small-Hsiao tests of IIA.
Each row is one test.

{p 2 6 2}
{cmd:r(wald)}: results of Wald test that all coefficients for a regressor
are zero.

{p 2 6 2}
{cmd:r(lrtest)}: results of LR test that all coefficients for a regressor
are zero.

{title:Acknowledgment}

{p 2 2 2}
Code used for the the Small-Hsiao test is based on a program by Nick Winter.

INCLUDE help spost13_footer
